#pragma once

#include "AbstractVisualNode.h"

#include "QuantumWire.h"

class QuantumCircuitElementNode : public AbstractVisualNode
{
public:
	QuantumCircuitElementNode(const Transform& t = {});

	virtual ~QuantumCircuitElementNode();

	virtual Point getConnectionLocation(AbstractQuantumWire* wire) const = 0;
};